﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridFilterFocusPreserve.aspx.cs" Inherits="RadGridFilterFocusPreserve" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
            <script type="text/javascript">
                //Put your JavaScript code here.
                function pageLoad() {
                    var hiddenField = $get('<%= HiddenField1.ClientID %>');
                    if (hiddenField.value != "") {
                        var textBox = $get(hiddenField.value);
                        var text = textBox.value;

                        textBox.onfocus = function () {
                            this.value = "";
                            this.value = text;
                        };

                        textBox.focus();
                        hiddenField.value = "";
                    }
                }
                function RowClick(sender, args) {
                }
                function textBoxPaste(textBox) {
                    $get('<%= HiddenField1.ClientID %>').value = textBox.value;
                    $(textBox).keypress();
                }
        </script>
        </telerik:RadScriptBlock>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="GriSystem">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="GriSystem" />
                        <telerik:AjaxUpdatedControl ControlID="HiddenField1" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="GriSystem" runat="server" AllowFilteringByColumn="true" AllowPaging="True" Width="800px"
            AutoGenerateColumns="False" CellSpacing="0" GridLines="None" OnNeedDataSource="GriSystem_NeedDataSource"
            OnUpdateCommand="GriSystem_UpdateCommand" GroupingSettings-CaseSensitive="False" OnItemCommand="GriSystem_ItemCommand"
            OnItemCreated="GriSystem_ItemCreated">
            <GroupingSettings CaseSensitive="False" />
            <ClientSettings>
                <ClientEvents OnRowClick="RowClick" />
            </ClientSettings>
            <MasterTableView DataKeyNames="OrderID">
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="ShipName"
                        FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                        SortExpression="ShipName" UniqueName="ShipName" FilterDelay="200"
                        CurrentFilterFunction="Contains" ShowFilterIcon="false">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry" FilterDelay="200"
                        CurrentFilterFunction="Contains" ShowFilterIcon="false">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server"
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            SelectCommand="SELECT [OrderID], [OrderDate], [Freight], [ShipName], [ShipCountry] FROM [Orders]"></asp:SqlDataSource>
        <asp:HiddenField ID="HiddenField1" runat="server" Value="" />
        <asp:Button ID="Button1" runat="server" Text="Button" OnClientClick="return false;" />
    </form>
</body>
</html>
